package com.ejie.ab63.model.inicio;

import java.util.HashMap;
import java.util.List;

public class InitForm {
	private String procedureId;
	private String procedureCod;
	private String folderId;
	private String folderNumber;
	private String fechaSolicitud;
	private String folderDescription;
	private String dni;
	private String tipoExpediente;
	private String tramite;
	private String tarea;
	private String idioma;
	private String identificadorEstablecimiento;
	private String tipoEstablecimiento;
	private String idProvinciaEstablecimiento;
	private String idPais;
	private Integer idDireccionExpediente;
	private String tipoRegistroEstablecimiento;
	private Integer idTerceroTitular;

	private Long idInspeccionExpediente;
	private Integer idExpediente;
	private Integer idExpedienteOrigen;
	private String tituloExpediente;
	private String tituloExpedienteCompleto;
	private String tituloProcedimientoCompleto;
	private List<String> listaNumeroExpedientes;
	private Integer idTab;

	private boolean expedienteOficio = false;
	private boolean enableUpdateDirecciones = false;
	private String observaciones;
	private String dispensado;
	private Integer sectionUpdate;

	private HashMap<String, Object> mapExtraDataForm;

	private String tipoModalidad;
	private String idOrigenOficinaPpal;

	public boolean isProcedure(String tipoProcedure) {
		if (tipoProcedure == null) {
			return false;
		}
		return tipoProcedure.equalsIgnoreCase(procedureCod);
	}

	public boolean isIdentificadorEmpty() {
		return identificadorEstablecimiento == null || "".equalsIgnoreCase(identificadorEstablecimiento);
	}

	public boolean isIdentificador(String tipoRegistro) {
		return !isIdentificadorEmpty() && identificadorEstablecimiento.contains(tipoRegistro);
	}

	public boolean isTipoRegistro(String tipoRegistro) {
		return tipoRegistroEstablecimiento != null && tipoRegistroEstablecimiento.contains(tipoRegistro);
	}

	public boolean isExpedienteIncompleto() {
		return folderId == null || folderNumber == null || tituloExpediente == null;
	}

	public String getIdProvinciaEstablecimiento() {
		if (idProvinciaEstablecimiento != null) {
			if (!"".equals(idProvinciaEstablecimiento)) {
				return String.format("%02d", Integer.parseInt(idProvinciaEstablecimiento));
			}
		}
		return idProvinciaEstablecimiento;
	}

	public Integer getIdExpediente() {
		return idExpediente;
	}

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	public String getProcedureId() {
		return procedureId;
	}

	public void setProcedureId(String procedureId) {
		this.procedureId = procedureId;
	}

	public String getProcedureCod() {
		return procedureCod;
	}

	public void setProcedureCod(String procedureCod) {
		this.procedureCod = procedureCod;
	}

	public String getFolderId() {
		return folderId;
	}

	public void setFolderId(String folderId) {
		this.folderId = folderId;
	}

	public String getFolderNumber() {
		return folderNumber;
	}

	public void setFolderNumber(String folderNumber) {
		this.folderNumber = folderNumber;
	}

	public String getFechaSolicitud() {
		return fechaSolicitud;
	}

	public void setFechaSolicitud(String fechaSolicitud) {
		this.fechaSolicitud = fechaSolicitud;
	}

	public String getFolderDescription() {
		return folderDescription;
	}

	public void setFolderDescription(String folderDescription) {
		this.folderDescription = folderDescription;
	}

	public String getDni() {
		return dni;
	}

	public void setDni(String dni) {
		this.dni = dni;
	}

	public String getTipoExpediente() {
		return tipoExpediente;
	}

	public void setTipoExpediente(String tipoExpediente) {
		this.tipoExpediente = tipoExpediente;
	}

	public String getTramite() {
		return tramite;
	}

	public void setTramite(String tramite) {
		this.tramite = tramite;
	}

	public String getTarea() {
		return tarea;
	}

	public void setTarea(String tarea) {
		this.tarea = tarea;
	}

	public String getIdioma() {
		return idioma;
	}

	public void setIdioma(String idioma) {
		this.idioma = idioma;
	}

	/**
	 * @return the tituloExpediente
	 */
	public String getTituloExpediente() {
		return tituloExpediente;
	}

	/**
	 * @param tituloExpediente
	 *            the tituloExpediente to set
	 */
	public void setTituloExpediente(String tituloExpediente) {
		this.tituloExpediente = tituloExpediente;
	}

	/**
	 * @return the listaNumeroExpedientes
	 */
	public List<String> getListaNumeroExpedientes() {
		return listaNumeroExpedientes;
	}

	/**
	 * @param listaNumeroExpedientes
	 *            the listaNumeroExpedientes to set
	 */
	public void setListaNumeroExpedientes(List<String> listaNumeroExpedientes) {
		this.listaNumeroExpedientes = listaNumeroExpedientes;
	}

	/**
	 * @return the idTab
	 */
	public Integer getIdTab() {
		return idTab;
	}

	/**
	 * @param idTab
	 *            the idTab to set
	 */
	public void setIdTab(Integer idTab) {
		this.idTab = idTab;
	}

	public String getIdentificadorEstablecimiento() {
		return identificadorEstablecimiento;
	}

	public void setIdentificadorEstablecimiento(String identificadorEstablecimiento) {
		this.identificadorEstablecimiento = identificadorEstablecimiento;
	}

	public String getTipoEstablecimiento() {
		return tipoEstablecimiento;
	}

	public void setTipoEstablecimiento(String tipoEstablecimiento) {
		this.tipoEstablecimiento = tipoEstablecimiento;
	}

	public void setIdProvinciaEstablecimiento(String idProvinciaEstablecimiento) {
		this.idProvinciaEstablecimiento = idProvinciaEstablecimiento;
	}

	public Integer getIdDireccionExpediente() {
		return idDireccionExpediente;
	}

	public void setIdDireccionExpediente(Integer idDireccionExpediente) {
		this.idDireccionExpediente = idDireccionExpediente;
	}

	public String getTituloExpedienteCompleto() {
		return tituloExpedienteCompleto;
	}

	public void setTituloExpedienteCompleto(String tituloExpedienteCompleto) {
		this.tituloExpedienteCompleto = tituloExpedienteCompleto;
	}

	public String getTituloProcedimientoCompleto() {
		return tituloProcedimientoCompleto;
	}

	public void setTituloProcedimientoCompleto(String tituloProcedimientoCompleto) {
		this.tituloProcedimientoCompleto = tituloProcedimientoCompleto;
	}

	public String getTipoRegistroEstablecimiento() {
		return tipoRegistroEstablecimiento;
	}

	public void setTipoRegistroEstablecimiento(String tipoRegistroEstablecimiento) {
		this.tipoRegistroEstablecimiento = tipoRegistroEstablecimiento;
	}

	public boolean isExpedienteOficio() {
		return expedienteOficio;
	}

	public void setExpedienteOficio(boolean isExpedienteOficio) {
		this.expedienteOficio = isExpedienteOficio;
	}

	public Integer getIdTerceroTitular() {
		return idTerceroTitular;
	}

	public void setIdTerceroTitular(Integer idTerceroTitular) {
		this.idTerceroTitular = idTerceroTitular;
	}

	public Integer getIdExpedienteOrigen() {
		return idExpedienteOrigen;
	}

	public void setIdExpedienteOrigen(Integer idExpedienteOrigen) {
		this.idExpedienteOrigen = idExpedienteOrigen;
	}

	public boolean isEnableUpdateDirecciones() {
		return enableUpdateDirecciones;
	}

	public void setEnableUpdateDirecciones(boolean notUpdateDirecciones) {
		this.enableUpdateDirecciones = notUpdateDirecciones;
	}

	public Long getIdInspeccionExpediente() {
		return idInspeccionExpediente;
	}

	public void setIdInspeccionExpediente(Long idInspeccionExpediente) {
		this.idInspeccionExpediente = idInspeccionExpediente;
	}

	public String getObservaciones() {
		return observaciones;
	}

	public void setObservaciones(String observaciones) {
		this.observaciones = observaciones;
	}

	public Integer getSectionUpdate() {
		return sectionUpdate;
	}

	public void setSectionUpdate(Integer sectionUpdate) {
		this.sectionUpdate = sectionUpdate;
	}

	public String getDispensado() {
		return dispensado;
	}

	public void setDispensado(String dispensado) {
		this.dispensado = dispensado;
	}

	public String getIdPais() {
		return idPais;
	}

	public void setIdPais(String idPais) {
		this.idPais = idPais;
	}

	public HashMap<String, Object> getMapExtraDataForm() {
		if (mapExtraDataForm == null) {
			mapExtraDataForm = new HashMap<String, Object>();
		}
		return mapExtraDataForm;
	}

	public void setMapExtraDataForm(HashMap<String, Object> mapExtraDataForm) {
		this.mapExtraDataForm = mapExtraDataForm;
	}

	public String getTipoModalidad() {
		return tipoModalidad;
	}

	public void setTipoModalidad(String tipoModalidad) {
		this.tipoModalidad = tipoModalidad;
	}

	public String getIdOrigenOficinaPpal() {
		return idOrigenOficinaPpal;
	}

	public void setIdOrigenOficinaPpal(String idOrigenOficinaPpal) {
		this.idOrigenOficinaPpal = idOrigenOficinaPpal;
	}

}
